Package weka.core

# Interface Drawable

All Known Implementing Classes:
  `AttributeSelectedClassifier`, `BayesNet`, `BayesNetGenerator`, `BIFReader`, `C45PruneableClassifierTree`, `ClassifierTree`, `Cobweb`, `CostSensitiveClassifier`, `CVParameterSelection`, `EditableBayesNet`, `FilteredClassifier`, `FilteredClusterer`, `HierarchicalClusterer`, `HoeffdingTree`, `InputMappedClassifier`, `J48`, `LMT`, `M5P`, `NBTreeClassifierTree`, `PruneableClassifierTree`, `RandomizableFilteredClassifier`, `RandomTree`, `REPTree`, `TreeModel`

public interface Drawable
Interface to something that can be drawn as a graph.

Version:
  $Revision: 8034 $
Author:
  Ashraf M. Kibriya(amk14@cs.waikato.ac.nz), Eibe Frank(eibe@cs.waikato.ac.nz)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BayesNet`
  `static final int`
  `Newick`
  `static final int`
  `NOT_DRAWABLE`
  `static final int`
  `TREE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `graph()`
  Returns a string that describes a graph representing the object.
  `int`
  `graphType()`
  Returns the type of graph representing the object.

- ## Field Details

  - ### NOT_DRAWABLE

    static final int NOT_DRAWABLE
    See Also:
      - Constant Field Values

  - ### TREE

    static final int TREE
    See Also:
      - Constant Field Values

  - ### BayesNet

    static final int BayesNet
    See Also:
      - Constant Field Values

  - ### Newick

    static final int Newick
    See Also:
      - Constant Field Values

- ## Method Details

  - ### graphType

    int graphType()
    Returns the type of graph representing the object.
    Returns:
      the type of graph representing the object

  - ### graph

    String graph() throws Exception
    Returns a string that describes a graph representing the object. The string should be in XMLBIF ver. 0.3 format if the graph is a BayesNet, otherwise it should be in dotty format.
    Returns:
      the graph described by a string
    Throws:
      `Exception` - if the graph can't be computed